"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EventsController = void 0;
const tslib_1 = require("tslib");
const rest_1 = require("@loopback/rest");
const loopback4_authorization_1 = require("loopback4-authorization");
const loopback4_authentication_1 = require("loopback4-authentication");
const models_1 = require("../models");
const repository_1 = require("@loopback/repository");
const repositories_1 = require("../repositories");
const core_1 = require("@sourceloop/core");
const baseUrl = '/events';
let EventsController = class EventsController {
    constructor(eventWorkflowMapping) {
        this.eventWorkflowMapping = eventWorkflowMapping;
    }
    async mapTaskToWorkflow(eventWorkflowMapping) {
        await this.eventWorkflowMapping.create(eventWorkflowMapping);
    }
};
exports.EventsController = EventsController;
tslib_1.__decorate([
    (0, loopback4_authentication_1.authenticate)("bearer" /* STRATEGY.BEARER */),
    (0, loopback4_authorization_1.authorize)({ permissions: ['*'] }),
    (0, rest_1.post)(`${baseUrl}/mapping`, {
        security: core_1.OPERATION_SECURITY_SPEC,
        responses: {},
    }),
    tslib_1.__param(0, (0, rest_1.requestBody)({
        content: {
            [core_1.CONTENT_TYPE.JSON]: {
                schema: (0, rest_1.getModelSchemaRef)(models_1.EventWorkflows, {
                    title: 'EventWorkflowMapping',
                }),
            },
        },
    })),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", [Object]),
    tslib_1.__metadata("design:returntype", Promise)
], EventsController.prototype, "mapTaskToWorkflow", null);
exports.EventsController = EventsController = tslib_1.__decorate([
    tslib_1.__param(0, (0, repository_1.repository)(repositories_1.EventWorkflowMappingRepository)),
    tslib_1.__metadata("design:paramtypes", [repositories_1.EventWorkflowMappingRepository])
], EventsController);
//# sourceMappingURL=events.controller.js.map