/// <reference types="express" />
import { Request } from '@loopback/rest';
import { TaskOperationService } from '../services/task-operation.service';
import { WebhookService } from '../services/webhook.service';
import { SubscriberDTO, TaskDto, TaskWorkflows } from '../models';
import { ApiKeyVerificationService } from '../services/api-key-verification.service';
import { TaskWorkFlowMappingRepository } from '../repositories';
export declare class TaskServiceController {
    private readonly taskOpsService;
    private readonly webhookService;
    private readonly apiKeyVerificationService;
    private readonly taskWorkflowMapping;
    constructor(taskOpsService: TaskOperationService, webhookService: WebhookService, apiKeyVerificationService: ApiKeyVerificationService, taskWorkflowMapping: TaskWorkFlowMappingRepository);
    updateTask(tasks: TaskDto): Promise<void>;
    subscribeToWebhook(subscriber: SubscriberDTO, request: Request): Promise<void>;
    mapTaskToWorkflow(taskWorkflowMapping: Omit<TaskWorkflows, 'id'>): Promise<void>;
}
