/// <reference types="node" />
import { AnyObject } from '@loopback/repository';
import { IWorkflowServiceConfig } from '@sourceloop/bpmn-service';
import { HttpClientService } from './http.service';
export declare class CamundaService {
    private readonly http;
    private readonly config;
    baseUrl: string | undefined;
    constructor(http: HttpClientService, config: IWorkflowServiceConfig);
    create<T>(name: string, file: Buffer): Promise<T>;
    delete(ids: string[]): Promise<unknown[]>;
    deleteVersion(id: string): Promise<unknown>;
    get<T>(id: string): Promise<T>;
    getCurrentExternalTask<T>(id: string): Promise<T>;
    getCurrentUserTask<T>(id: string): Promise<T>;
    completeUserTask(id: string, variables?: AnyObject): Promise<unknown>;
    execute<T>(id: string, input: AnyObject): Promise<T>;
    private formatInput;
}
