import { AnyObject } from '@loopback/repository';
import FormData from 'form-data';
type HttpOptions = {
    query?: AnyObject;
    urlParams?: AnyObject;
    headers?: AnyObject;
};
export declare class HttpClientService {
    get<T>(url: string, options?: HttpOptions): Promise<T>;
    delete(url: string, options?: HttpOptions): Promise<unknown>;
    post<T>(url: string, body: AnyObject, options?: HttpOptions): Promise<T>;
    postFormData<T>(url: string, body: FormData, options?: HttpOptions): Promise<T>;
    private processOptions;
    private handleRes;
    private serialize;
}
export {};
