import { DataObject } from '@loopback/repository';
import { MessageDTO } from '../models';
import { WebhookSubscriptionsRepository } from '../repositories';
import { HttpClientService } from './http.service';
export declare class WebhookService {
    private readonly webhookSubscriptionsRepo;
    private readonly httpService;
    constructor(webhookSubscriptionsRepo: WebhookSubscriptionsRepository, httpService: HttpClientService);
    addToSubscription(url: string, key: string): Promise<void>;
    getUrlOfSubscritption(key: string): Promise<string | null>;
    triggerWebhook(key: string, data: DataObject<MessageDTO>): Promise<void>;
}
