import {model, property} from '@loopback/repository';
import {CoreEntity} from '@sourceloop/core';

@model({
  name: 'api_keys',
})
export class ApiKey extends CoreEntity<ApiKey> {
  @property({
    type: 'string',
    id: true,
    generated: true,
  })
  id?: string;

  @property({
    type: 'string',
    required: true,
    name: 'api_key',
    description: 'API key generated by the task service',
  })
  apiKey: string;

  @property({
    type: 'string',
    required: true,
    name: 'api_secret',
    description: 'API secret generated by the task service',
  })
  apiSecret: string;
}
